> For the complete documentation index, see [llms.txt](https://docs.hology.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hology.app/zh-tw/gameplay/fu-wu/zai-ru-zi-chan.md).

# 載入資產

您可以使用 `AssetLoader` 服務從代碼中使用導入的資產。這個服務允許您通過名稱或 ID 獲取資產的實例。

在下面的例子中，我們可以看到如何注入 `AssetLoader` 並在 `onInit` 方法中使用它來通過名稱獲取模型。

```typescript
import { Actor, AssetLoader, BaseActor, inject } from "@hology/core/gameplay";

@Actor()
class TestActor extends BaseActor {

  assets = inject(AssetLoader)

  async onInit() {    
    const model = await this.assets.getModelByAssetName('enterNameHere')
    this.object.add(model.scene)
  }
}
```

## 方法

### getModelByAssetName(name: string): { scene, animations }

### getModelByAssetId(id: string): { scene, animations }

### getTextureByAssetName(name: string): Texture

### getTextureByAssetId(id: string): Texture

### getMaterialByAssetId(id: string): Material


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hology.app/zh-tw/gameplay/fu-wu/zai-ru-zi-chan.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
